﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JiaZhiQuan.Common.ElasticSearch.Models
{
    /*
DELETE /personalpageviewrecord

PUT /personalpageviewrecord
{
  "mappings": {
    "properties": {
      "notValidRecord": {
        "type": "boolean"
      },
      "isMock": {
        "type": "boolean"
      },
      "pageUserId": {
        "type": "long"
      },
      "isSelf": {
        "type": "boolean"
      },
      "userId": {
        "type": "long"
      },
      "ip": {
        "type": "keyword"
      },
      "clientId": {
        "type": "keyword"
      },
      "createAt": {
        "type": "date",
        "format": "yyyy-MM-dd HH:mm:ss"
      }
    }
  }
}
    */
    /// <summary>
    /// 有效的主页访问记录
    /// </summary>
    public class ESPersonalPageViewRecordModel
    {
        /// <summary>
        /// 是否不是有效阅读
        /// </summary>
        public bool notValidRecord { get; set; }
        /// <summary>
        /// 是否是模拟数据
        /// </summary>
        public bool isMock { get; set; }
        /// <summary>
        /// 主页用户的编号
        /// </summary>
        public long pageUserId { get; set; }
        public bool isSelf { get; set; }
        /// <summary>
        /// 当匿名访问时，为0
        /// </summary>
        public long userId { get; set; }
        public string ip { get; set; }
        /// <summary>
        /// 用户客户端的编号，如果是H5，则为生成的GUID
        /// </summary>
        public string clientId { get; set; }
        public string createAt { get; set; }
    }
}
