﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JiaZhiQuan.Common
{
    public static class AppPushMessageTypes
    {
        /// <summary>
        /// 点击消息无反应
        /// </summary>
        public static string 无行为 => "NONE";

        /// <summary>
        /// 链接
        /// </summary>
        public static string 链接 => "LINK";

        #region 后续会移除
        
        /// <summary>
        /// XXX评论了你的资讯/笔记
        /// content = { id(评论的Id), postId(动态/笔记的Id), type(0 图文 1 视频), categoryType(0 资讯 1 笔记 2 研报) }
        /// </summary>
        [Obsolete]
        public static string 评论 => "COMMENT";

        /// <summary>
        /// XXX回复了你的评论
        /// content = { id(回复的Id), postId(动态/笔记的Id), type(0 图文 1 视频), categoryType(0 资讯 1 笔记 2 研报) }
        /// </summary>
        [Obsolete]
        public static string 评论的回复 => "COMMENT_REPLY";

        /// <summary>
        /// XXX回复了你的评论
        /// content = { id(回复的Id), postId(动态/笔记的Id), type(0 图文 1 视频), categoryType(0 资讯 1 笔记 2 研报) }
        /// </summary>
        [Obsolete]
        public static string 回复的回复 => "REPLY_REPLY";

        /// <summary>
        /// XXX赞了你的资讯/笔记
        /// content = { id(资讯/笔记的Id), type(0 图文 1 视频), categoryType(0 资讯 1 笔记 2 研报) }
        /// </summary>
        [Obsolete]
        public static string 动态的点赞 => "POST_THUMBSUP";

        /// <summary>
        /// XXX关注了你
        /// content = { id(主动关注用户的Id) }
        /// </summary>
        [Obsolete]
        public static string 关注了你 => "FOCUS";

        /// <summary>
        /// XXX发布了新动态，快来看看吧！（暂时只有笔记）
        /// content = { id(动态的Id), type(0 图文 1 视频), categoryType(1 笔记 2 研报) }
        /// </summary>
        [Obsolete]
        public static string 某人新动态通知 => "POST_NEW";

        /// <summary>
        /// XXX圈子有新动态了
        /// </summary>
        [Obsolete]
        public static string 话题新动态通知 => "TOPIC_NEW_POST";
        
        #endregion 后续会移除
    }
}
