﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JiaZhiQuan.Common
{
    public static class UserMessageRecordType
    {
        /// <summary>
        /// JSON内容定义见 UserMessageSystemCntType
        /// </summary>
        public static int 系统通知 => -1;

        /// <summary>
        /// JSON内容定义：{ commentId, type, refId, refType, postId, categoryType } // type/refType 0为评论 1为回复
        /// </summary>
        public static int 评论我的 => 0;

        /// <summary>
        /// JSON内容定义：{ postId, categoryType }
        /// </summary>
        public static int 赞我的 => 1;

        /// <summary>
        /// 无JSON内容
        /// </summary>
        public static int 被关注 => 2;
    }

    public static class UserMessageSystemCntType
    {
        /// <summary>
        /// content = { title, content, image, actionLink }
        /// </summary>
        public static string 默认 => "DEFAULT";

        /// <summary>
        /// content = { title, content, postId, image, actionLink }
        /// </summary>
        public static string 动态相关通知 => "POST";

        /// <summary>
        /// content = { title,content, afterSaleId, image, actionLink }
        /// </summary>
        public static string 售后单通知 => "AFTER_SALE";

        /// <summary>
        /// 订单详情
        /// content = { title, content, orderId, image, actionLink }
        /// </summary>
        public static string 订单 => "MALL_ORDER";

        /// <summary>
        /// 商品详情
        /// content = { title, content, goodsId, image, actionLink }
        /// </summary>
        public static string 商品 => "MALL_GOODS";

        /// <summary>
        /// 商城订单分账流水详情
        /// content = { title, content, billId, orderId, image, actionLink }
        /// </summary>
        public static string 订单分账流水详情 => "MALL_CASH_OUT_BILL";
        
        /// <summary>
        /// 商城订单退单流水详情
        /// content = { title, content, billId, orderId, image, actionLink }
        /// </summary>
        public static string 订单退单流水详情 => "MALL_REFUND_BILL";

        /// <summary>
        /// 二手商城寄售订单
        /// content = { title, content, orderId, image, actionLink }
        /// </summary>
        public static string 二手商城寄售订单 => "UE_POST_ORDER";
        
        /// <summary>
        /// 二手商城寄售销售订单
        /// content = { title, content, orderId, saleOrderId, image, actionLink }
        /// </summary>
        public static string 二手商城寄售销售订单 => "UE_POST_SALE_ORDER";
        
        /// <summary>
        /// 二手商城挂售销售订单
        /// content = { title, content, orderId, image, actionLink }
        /// </summary>
        public static string 二手商城挂售销售订单 => "UE_HANG_SALE_ORDER";
    }
}
