﻿using JiaZhiQuan.Common.Models.IM;
using JiaZhiQuan.Common.Models.IM.Send;
using System;

namespace JiaZhiQuan.Common.Hubs
{
    /// <summary>
    /// 聊天记录数据格式
    /// </summary>
    public class ChatRecordDTO
    {
        /// <summary>
        /// 消息id
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 发送人id
        /// </summary>
        public string FromUserId { get; set; }

        /// <summary>
        /// 接收人id
        /// </summary>
        public string TargetUserId { get; set; }

        /// <summary>
        /// 消息内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 消息类型
        /// </summary>
        public MessageContentType ContentType { get; set; }

        /// <summary>
        /// 消息内容对象
        /// </summary>
        public object ReadContent { get; set; }

        /// <summary>
        /// 消息内容，简短版（通知时显示的内容）
        /// </summary>
        public string ShortContent { get; set; }

        /// <summary>
        /// 发送时间
        /// </summary>
        public DateTime SendTime { get; set; }

        /// <summary>
        /// 读取时间
        /// </summary>
        public DateTime ReadTime { get; set; }

        /// <summary>
        /// 撤回时间
        /// </summary>
        public DateTime WithdrawTime { get; set; }

        /// <summary>
        /// 消息状态
        /// </summary>
        public int State { get; set; }

        /// <summary>
        /// 引用的消息id
        /// </summary>
        public string QuoteId { get; set; }
    }
}
