﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_balance_cashout_apply
    /// </summary>
    public class BalanceCashoutApplyPO
    {
        /// <summary>
        /// 编号
        /// </summary>
        public long id { get; set; }

        /// <summary>
        /// 用户编号
        /// </summary>
        public long userId { get; set; }

        /// <summary>
        /// 资金变动id
        /// </summary>
        public long detailsId { get; set; }

        /// <summary>
        /// 提现金额（分为单位）
        /// </summary>
        public int amount { get; set; }

        /// <summary>
        /// 提现平台
        /// </summary>
        public string platform { get; set; }

        /// <summary>
        /// 用户真实姓名
        /// </summary>
        public string uName { get; set; }

        /// <summary>
        /// 用户支付宝登录名
        /// </summary>
        public string loginName { get; set; }

        /// <summary>
        /// 申请提现时间
        /// </summary>
        public DateTime applyAt { get; set; }

        /// <summary>
        /// 税率，如0.006即为千六
        /// </summary>
        public float taxRate { get; set; }

        /// <summary>
        /// 服务费率（支付宝扣除）
        /// </summary>
        public float feeRate { get; set; }

        /// <summary>
        /// 提现平台最低服务费（分为单位）
        /// </summary>
        public int feeMinAmount { get; set; }

        /// <summary>
        /// 0 待审核 1 审核通过 2 审核拒绝
        /// </summary>
        public int status { get; set; }

        /// <summary>
        /// 拒审原因
        /// </summary>
        public string refuseReason { get; set; }

        /// <summary>
        /// 备注（不公开）
        /// </summary>
        public string note { get; set; }

        /// <summary>
        /// 审核人员编号
        /// </summary>
        public int checkSysUserId { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime checkAt { get; set; }

    }
}
