﻿namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_balance_cashout_platform
    /// </summary>
    public class BalanceCashoutPlatformPO
    {
        /// <summary>
        /// 提现平台，支付宝为 ALIPAY
        /// </summary>
        public string platform { get; set; }

        /// <summary>
        /// 提现平台名称
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 税率，如0.006即为百分之六
        /// </summary>
        public decimal taxRate { get; set; }

        /// <summary>
        /// 服务费率（支付宝扣除）
        /// </summary>
        public decimal feeRate { get; set; }

        /// <summary>
        /// 服务费最低金额(单位分)
        /// </summary>
        public int? feeMinAmount { get; set; }
        
        /// <summary>
        /// 是否隐藏税率
        /// </summary>
        public bool taxRateHidden { get; set; }

        /// <summary>
        /// 是否隐藏服务费
        /// </summary>
        public bool feeRateHidden { get; set; }

        /// <summary>
        /// 显示顺序，倒序
        /// </summary>
        public float displayOrder { get; set; }

        /// <summary>
        /// 是否禁用人工审核
        /// </summary>
        public bool disableManualCheck { get; set; }

    }
}
