﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_stat_settlement
    /// </summary>
    public class StatSettlementPO
    {
        /// <summary>
        /// 
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 文章编号
        /// </summary>
        public long postId { get; set; }

        /// <summary>
        /// 0 资讯 1 笔记 2 研报
        /// </summary>
        public int categoryType { get; set; }

        /// <summary>
        /// 1 有视频 0 无视频
        /// </summary>
        public bool hasVideo { get; set; }

        /// <summary>
        /// 作者编号
        /// </summary>
        public long authorId { get; set; }

        /// <summary>
        /// 是否是 自动结算，即第二天结算前一天的记录，除了 自动结算，其他为操作行为导致的增减收益
        /// </summary>
        public bool isAutoSettlement { get; set; }

        /// <summary>
        /// 结算日期
        /// </summary>
        public DateTime settlementDate { get; set; }

        /// <summary>
        /// 1 图文笔记收益；2 视频笔记收益；3 研报收益；4 研报基础收益 11 扣除图文笔记收益；12 扣除视频笔记收益；13 扣除研报收益；21 增加图文笔记收益；22 增加视频笔记收益；23 增加研报收益；
        /// </summary>
        public int eventType { get; set; }

        /// <summary>
        /// 百次阅读单价，分为单位
        /// </summary>
        public int price { get; set; }

        /// <summary>
        /// 粉丝阅读量
        /// </summary>
        public int fanReadCount { get; set; }

        /// <summary>
        /// 非粉丝阅读量
        /// </summary>
        public int normalReadCount { get; set; }

        /// <summary>
        /// 点赞量
        /// </summary>
        public int thumbsupCount { get; set; }

        /// <summary>
        /// 评论量
        /// </summary>
        public int commentCount { get; set; }

        /// <summary>
        /// 分享量
        /// </summary>
        public int shareCount { get; set; }

        /// <summary>
        /// 收藏量
        /// </summary>
        public int collectionCount { get; set; }

        /// <summary>
        /// 百次阅读量
        /// </summary>
        public float total100ReadCount { get; set; }

        /// <summary>
        /// 基础奖励（分为单位）
        /// </summary>
        public int baseAward { get; set; }

        /// <summary>
        /// 总金额（分为单位）
        /// </summary>
        public int amount { get; set; }

        /// <summary>
        /// 状态：0 待结算 1 已结算
        /// </summary>
        public int state { get; set; }

        /// <summary>
        /// 系统操作用户编号，如果没有则为0
        /// </summary>
        public int operatorId { get; set; }

        /// <summary>
        /// 系统操作用户名称
        /// </summary>
        public string operatorName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

        /// <summary>
        /// 操作描述
        /// </summary>
        public string description { get; set; }
    }
}
