﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_user_invitation_partner
    /// </summary>
    public class UserInvitationPartnerPO
    {
        /// <summary>
        /// 用户编号
        /// </summary>
        public long userId { get; set; }

        /// <summary>
        /// 合作方备注名
        /// </summary>
        public string alias { get; set; }

        /// <summary>
        /// 所属分组编号
        /// </summary>
        public int groupId { get; set; }

        /// <summary>
        /// 当前邀请单价（单位分）
        /// </summary>
        public int activeCost { get; set; }

        /// <summary>
        /// 是否禁用，默认启用
        /// </summary>
        public bool disabled { get; set; }

        /// <summary>
        /// 有效的激活数（获利的，即注册激活都在合作时段内）
        /// </summary>
        public int invitationValidCount { get; set; }

        /// <summary>
        /// 累计邀请收益，如果摊销某些有效邀请，则同时要扣除总收益
        /// </summary>
        public int invitationIncome { get; set; }

        /// <summary>
        /// 总计结算金额（分）
        /// </summary>
        public int settlementAmount { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

    }
}
