﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    public class UserInvitationRecordPO
    {
        /// <summary>
        /// 
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 邀请人编号
        /// </summary>
        public long userId { get; set; }

        /// <summary>
        /// 被邀请人编号
        /// </summary>
        public long beInvitedUserId { get; set; }

        /// <summary>
        /// 0 已注册未激活 1 已激活
        /// </summary>
        public UserInvite.State state { get; set; }

        /// <summary>
        /// 是否无效，默认有效，有效不代表已成功邀请
        /// </summary>
        public bool invalid { get; set; }

        /// <summary>
        /// 是否可操作【禁用/启用】
        /// </summary>
        public bool operationDisabled { get; set; }

        /// <summary>
        /// 注册渠道
        /// </summary>
        public UserInvite.RegisterChannel regChannel { get; set; }

        /// <summary>
        /// 邀请注册时间
        /// </summary>
        public DateTime createAt { get; set; }

        /// <summary>
        /// 激活时间
        /// </summary>
        public DateTime activeAt { get; set; }

        /// <summary>
        /// 激活IP
        /// </summary>
        public string activeIP { get; set; }

        /// <summary>
        /// 激活IP所属地区
        /// </summary>
        public string activeIPAddr { get; set; }

        /// <summary>
        /// 激活IP所属省份
        /// </summary>
        public string activeIPAddrProvince { get; set; }

        /// <summary>
        /// 激活IP所属市区
        /// </summary>
        public string activeIPAddrCity { get; set; }
        
        /// <summary>
        /// 激活手机号所在地区
        /// </summary>
        public string activeMobileAddr { get; set; }

        /// <summary>
        /// 激活成本，分为单位
        /// </summary>
        public int activeCost { get; set; }

        /// <summary>
        /// 激活系统（iOS/Android）
        /// </summary>
        public string activeOs { get; set; }

        /// <summary>
        /// 激活来源
        /// </summary>
        public string activeSource { get; set; }

        /// <summary>
        /// 激活APP版本
        /// </summary>
        public string activeAppVersion { get; set; }

        /// <summary>
        /// 激活机型
        /// </summary>
        public string activeModel { get; set; }

        /// <summary>
        /// 激活设备ID
        /// </summary>
        public string activeDeviceId { get; set; }

        /// <summary>
        /// 手机号状态
        /// </summary>
        public int phoneState { get; set; }

        /// <summary>
        /// 设备状态
        /// </summary>
        public int deviceState { get; set; }

        /// <summary>
        /// 是不是获利邀请
        /// </summary>
        public bool hasProfit { get; set; }

        /// <summary>
        /// 注册时，邀请用户身份：0普通用户，1合作方
        /// </summary>
        public UserInvite.InviterRole regInviterRole { get; set; }

        /// <summary>
        /// 激活时，邀请用户身份：0普通用户，1合作方
        /// </summary>
        public UserInvite.InviterRole activeInviterRole { get; set; }

    }
}
