﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_user
    /// </summary>
    public class UserPO
    {
        /// <summary>
        /// 
        /// </summary>
        public long id { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        public string alias { get; set; }

        /// <summary>
        /// 登录名(手机号）
        /// </summary>
        public string username { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string password { get; set; }

        /// <summary>
        /// 加密串
        /// </summary>
        public string salt { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        public DateTime birthday { get; set; }

        /// <summary>
        /// 个性签名
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// 0 保密 1 男 2 女
        /// </summary>
        public int sex { get; set; }

        /// <summary>
        /// 个人头像
        /// </summary>
        public string headImage { get; set; }

        /// <summary>
        /// 背景图片
        /// </summary>
        public string bgImage { get; set; }

        /// <summary>
        /// 1 是默认 0 不是默认
        /// </summary>
        public int isDefaultBgImage { get; set; }

        /// <summary>
        /// 区域Code
        /// </summary>
        public string regionCode { get; set; }

        /// <summary>
        /// 区域名称
        /// </summary>
        public string regionName { get; set; }

        /// <summary>
        /// 认证类型：0 无 1 个人 2 机构
        /// </summary>
        public int authType { get; set; }

        /// <summary>
        /// 认证的称号
        /// </summary>
        public string authName { get; set; }

        /// <summary>
        /// 领域，多个用逗号分隔
        /// </summary>
        public string domainTalent { get; set; }

        /// <summary>
        /// 用户等级，默认为0
        /// </summary>
        public int level { get; set; }

        /// <summary>
        /// VIP过期日期
        /// </summary>
        public DateTime vipExpiredAt { get; set; }

        /// <summary>
        /// 0 正常 1 禁用 -1删除
        /// </summary>
        public int state { get; set; }

        /// <summary>
        /// 如果用户被删除，则在这里填写删除说明
        /// </summary>
        public string deleteReason { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

        /// <summary>
        /// 0 个人资料未完善 1 个人资料已完善
        /// </summary>
        public bool infoImproved { get; set; }

        /// <summary>
        /// 0 不是Vip 1 是Vip。判断VIP不能通过此字段来，此字段仅用于冗余查询
        /// </summary>
        public bool vip { get; set; }

        /// <summary>
        /// 注册时的设备Id
        /// </summary>
        public string regDeviceId { get; set; }

        /// <summary>
        /// 注册时的设备信息
        /// </summary>
        public string regDeviceInfo { get; set; }

        /// <summary>
        /// 注册时的设备IP
        /// </summary>
        public string regDeviceIP { get; set; }

        /// <summary>
        /// 注册时的设备IP对应的地址名称
        /// </summary>
        public string regDeviceIPAddr { get; set; }

        /// <summary>
        /// 注册来源(WXMP/WX/IOS/Android-渠道)
        /// </summary>
        public string registerFrom { get; set; }

        /// <summary>
        /// 有没有初始化过标签，0 没，1 有
        /// </summary>
        public int tagInited { get; set; }

        /// <summary>
        /// 有没有初始化过昵称，0 没，1 有
        /// </summary>
        public int aliasInited { get; set; }

        /// <summary>
        /// App端的签到提醒（即设置后，打开app时会弹出签到弹窗）
        /// </summary>
        public int signOnRemind { get; set; }

        /// <summary>
        /// 模拟关注数量
        /// </summary>
        public int mockFocusCnt { get; set; }

        /// <summary>
        /// 如果是创作者，则表示是否是优质创作者
        /// </summary>
        public bool superior { get; set; }

        /// <summary>
        /// 0 普通用户 1 创作者 2 研究员
        /// </summary>
        public int mpRole { get; set; }

        /// <summary>
        /// 职业
        /// </summary>
        public string job { get; set; }

        /// <summary>
        /// 是否隐藏职业标签
        /// </summary>
        public bool jobHidden { get; set; }

        /// <summary>
        /// 工作单位
        /// </summary>
        public string org { get; set; }

        /// <summary>
        /// 是否隐藏工作单位
        /// </summary>
        public bool orgHidden { get; set; }

        /// <summary>
        /// 最终在App中展示的用户标签，多个使用换行符\n分隔
        /// </summary>
        public string publicTags { get; set; }

        /// <summary>
        /// 研究员研报基础收益（分为单位）
        /// </summary>
        public int standpointBaseAward { get; set; }

        /// <summary>
        /// 个人内容热度系数（0~1）
        /// </summary>
        public float cntHotCoefficient { get; set; }

    }
}
