﻿using JiaZhiQuan.Common.Utils;
using System;
using static JiaZhiQuan.Common.Balance;

namespace JiaZhiQuan.Common.Models.VO.BalanceManage
{
    /// <summary>
    /// 提现管理-提现总表
    /// </summary>
    public class WithdrawSummaryTableVO
    {
        public long id { get; set; }

        public DateTime applyAt { get; set; }

        public long userId { get; set; }

        public string userAlias { get; set; }

        public string userName { get; set; }

        public string userIdNumber { get; set; }

        public string platformName { get; set; }

        public string platformAccount { get; set; }

        public CashoutApplyStatus status { get; set; }

        public CashoutTaskStatus? taskStatus { get; set; }

        public string payOrderId { get; set; }

        public string failedReason { get; set; }

        public int amount { get; set; }

        public float taxRate { get; set; }

        public float feeRate { get; set; }

        public int feeMinAmount { get; set; }

        public long detailsId { get; set; }

        public DateTime? checkAt { get; set; }
    }

    /// <summary>
    /// 提现管理-待审核列表
    /// </summary>
    public class WithdrawSummaryResultVO
    {
        public string id { get; set; }

        public DateTime applyAt { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public string status { get; set; }

        /// <summary>
        /// 状态额外信息
        /// </summary>
        public string statusNote { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public string userId { get; set; }

        /// <summary>
        /// 用户平台昵称
        /// </summary>
        public string userAlias { get; set; }

        /// <summary>
        /// 用户真实姓名
        /// </summary>
        public string userName { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string userIdNumber { get; set; }

        /// <summary>
        /// 支付平台名称
        /// </summary>
        public string platformName { get; set; }

        /// <summary>
        /// 支付平台账号
        /// </summary>
        public string platformAccount { get; set; }

        /// <summary>
        /// 提现金额（元）
        /// </summary>
        public string amountYuan { get; set; }

        /// <summary>
        /// 税费（元）
        /// </summary>
        public string taxAmountYuan { get; set; }

        /// <summary>
        /// 税率（%）
        /// </summary>
        public string taxRate { get; set; }

        /// <summary>
        /// 服务费（元）
        /// </summary>
        public string feeAmountYuan { get; set; }

        /// <summary>
        /// 服务费率（%）
        /// </summary>
        public string feeRate { get; set; }

        /// <summary>
        /// 最低服务费（元）
        /// </summary>
        public string feeMinAmountYuan { get; set; }

        /// <summary>
        /// 实际到账（元）
        /// </summary>
        public string realAmountYuan { get; set; }

        /// <summary>
        /// 资金变动id
        /// </summary>
        public string detailsId { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? checkAt { get; set; }
    }
}
