﻿using System;
using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.UE {
    public class InAppraiseTask {
        /// <summary>
        /// 任务id
        /// </summary>
        public int taskId { get; set; }

        /// <summary>
        /// 鉴定结果
        /// <remark>
        /// （1：假货，2，与sku不符，3，瑕疵验证，不可销售或挂售-真，有未描述的瑕疵，
        /// 4，真，可销售或挂售-真，与描述一致）
        /// </remark>
        /// </summary>
        public int result { get; set; }

        /// <summary>
        /// 货物处理 1，退回 0，不退回
        /// </summary>
        public int? needBack { get; set; }

        /// <summary>
        /// 鉴定照片
        /// </summary>
        public List<PhotoDetailInfo> images { get; set; }

        /// <summary>
        /// 鉴定描述
        /// </summary>
        public string resultBrief { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string brief { get; set; }
        /// <summary>
        /// 商品描述
        /// </summary>
        public string goodsBrief { get; set; }

        /// <summary>
        /// 成色（1，已验8成新，2，已验85新，3，已验9成新，4，已验95新，5已验99新，6已验全新）
        /// </summary>
        public int quality { get; set; }
        /// <summary>
        /// 建议价格 单位分
        /// </summary>
        public int suggestPrice { get; set; }
        /// <summary>
        /// 最高价格 单位分
        /// </summary>
        public int maxPrice { get; set; }

    }
}
